<?php
/**
 * FSF Member Dashboard
 * Copyright © 2014 Free Software Foundation, Inc.
 *
 * This file is a part of FSF Member Dashboard.
 *
 * FSF Member Dashboard is free software; you can copy, modify, and
 * distribute it under the terms of the GNU Affero General Public
 * License Version 3, 19 November 2007 and the CiviCRM Licensing
 * Exception.
 *
 * FSF Member Dashboard is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Affero General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FSF Member Dashboard.  If not, see
 * <http://www.gnu.org/licenses/>.
 */

require_once 'CRM/Core/Page.php';

class CRM_Memberdashboard_Page_Info extends CRM_Core_Page {
  function run() {
    CRM_Utils_System::setTitle('My Info');

    $profileId = civicrm_api3('setting', 'getvalue', array(
      'name' => 'memberdashboard_info_profile_id',
      'group' => MEMBERDASHBOARD_SETTINGS_GROUP
    ));

    $resources = CRM_Core_Resources::singleton();
    // FIXME: Hack for when civicrm doesn't include this on the page
    // for authenticated, non-admin users.
    $resources->addScriptFile('civicrm',
                              'packages/jquery/plugins/jquery.notify.min.js',
                              10, 'html-header');
    $resources->addScriptFile('org.fsf.memberdashboard',
                              'assets/js/underscore.js');
    $resources->addScriptFile('org.fsf.memberdashboard',
                              'assets/js/member-info.js');
    $resources->addScript("var memberDashboard = { profileId: $profileId };");

    $this->assign('profileId', $profileId);

    parent::run();
  }
}
