/**
 * FSF Member Dashboard
 * Copyright © 2014 Free Software Foundation, Inc.
 *
 * This file is a part of FSF Member Dashboard.
 *
 * FSF Member Dashboard is free software; you can copy, modify, and
 * distribute it under the terms of the GNU Affero General Public
 * License Version 3, 19 November 2007 and the CiviCRM Licensing
 * Exception.
 *
 * FSF Member Dashboard is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Affero General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FSF Member Dashboard.  If not, see
 * <http://www.gnu.org/licenses/>.
 */

(function($) {
  function loadProfile(gid, success) {
    $.get('/civicrm/profile/edit', {
      gid: gid,
      json: 1
    }, success);
  }

  function renderProfile(profile) {
    function renderFields() {
      return _.chain(profile)
        .values()
        .filter(function(field) {
          return _.isString(field.label) && _.isString(field.html);
        })
        .map(function (field) {
          return $('<div class="crm-section"></div>')
            .append($('<div class="form-item"></div>')
                    .append($('<div class="label"></div>')
                            .append(field.label))
                    .append($('<div class="content"></div>')
                            .append(field.html))
                    .append($('<div class="clear"></div>')));
        })
        .value();
    }

    // Support older versions of jQuery that don't parse the JSON by
    // default.
    profile = _.isString(profile) ? JSON.parse(profile): profile;
    var form = $('<form' + profile.attributes + '></form>');

    form.append(profile.requirednote)
      .append(profile.hidden)
      .append.apply(form, renderFields());

    $('#info-loading').remove();
    $('#info-form').append(form);
  }

  $(document).ready(function() {
    loadProfile(memberDashboard.profileId, renderProfile);
  });
})(jQuery);
